Package org.apache.maven.scm.provider.synergy.command.edit

## Class SynergyEditCommand

- java.lang.Object
- - org.apache.maven.scm.command.AbstractCommand
  - - org.apache.maven.scm.command.edit.AbstractEditCommand
    - - org.apache.maven.scm.provider.synergy.command.edit.SynergyEditCommand

All Implemented Interfaces:
  `Command`, `SynergyCommand`

    public class SynergyEditCommand
    extends AbstractEditCommand
    implements SynergyCommand

Author:
  Julien Henry

### Field Summary

### Fields inherited from interface org.apache.maven.scm.command.Command

`ROLE`

### Constructor Summary

Constructors
`SynergyEditCommand()`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected ScmResult` `executeEditCommand​(ScmProviderRepository repository, ScmFileSet fileSet)`

### Methods inherited from class org.apache.maven.scm.command.edit.AbstractEditCommand

`executeCommand`

### Methods inherited from class org.apache.maven.scm.command.AbstractCommand

`execute, getLogger, setLogger`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SynergyEditCommand

    public SynergyEditCommand()

### Method Detail

#### executeEditCommand

    protected ScmResult executeEditCommand​(ScmProviderRepository repository,
                                           ScmFileSet fileSet)
                                    throws ScmException

Specified by:
  `executeEditCommand` in class `AbstractEditCommand`
Throws:
  `ScmException`